# Trait io_lifetimes::IntoFilelike

source · [−]

    pub trait IntoFilelike: Into<OwnedFd> {
        fn into_filelike(self) -> OwnedFilelike;
    }

Expand description

A portable trait to express the ability to consume an object and acquire ownership of its filelike object.

This is a portability abstraction over Unix-like `Into<OwnedFd>` and Windows’ `Into<OwnedHandle>`.

## Required Methods

source

#### fn into_filelike(self) -> OwnedFilelike

Consumes this object, returning the underlying filelike object.

##### Example

    use std::fs::File;
    use io_lifetimes::{IntoFilelike, OwnedFilelike};

    let f = File::open("foo.txt")?;
    let owned_filelike: OwnedFilelike = f.into_filelike();

## Implementors

source

### impl<T: Into<OwnedFd>> IntoFilelike for T